/* AnnotationText */

#import <Cocoa/Cocoa.h>

@class	BibItem, DetailInfoController;

@interface AnnotationText : NSTextView
{
	IBOutlet DetailInfoController *infoController;
    IBOutlet NSButton *buttonUndoEdit;

	BibItem				*currentItem;
	BOOL				locked;
	BOOL				inEditMode;
	BOOL				dataChanged;
	NSStringEncoding	dbEncoding;
	BOOL				settingUp;
	
	NSString	*undoBuffer;
	
	NSString	*fieldName;
	NSString	*yenMarkString;
}
- (IBAction)inputSupportButtonPressed:(id)sender;

- (void)setItem:(BibItem*)item;
- (void)setEditMode:(BOOL)edit;
- (void)setupData;
- (void)undoEdit;
- (void)setDirty;
- (BOOL)isLocked;
- (BOOL)isEnableEdit;
- (BOOL)isDirty;

- (void)reloadPreferences;

@end
