//
//  BCMenuTags.h
//  BibCompanion
//
//  Created by Hitoshi Nakahara on 04/12/19.
//  Copyright 2004 Hit-C Soft House. All rights reserved.
//

enum {
	kBCMenuTag_Cut = 4990,
	kBCMenuTag_Copy,
	kBCMenuTag_Paste,
	kBCMenuTag_Undo,
	kBCMenuTag_Redo,
	kBCMenuTag_MacroMenuTitle = 4998,
	kBCMenuTag_EditLocalMacro = 4999,
	kBCMenuTag_MacroMenuLocal = 5000,
	kBCMenuTag_MacroMenuCommon = 6000,
	kBCMenuTag_SaveAllDB = 7000,
	kBCMenuTag_CloseMainWindow,
	kBCMenuTag_SaveSelectedDB,
	kBCMenuTag_SaveSelectedDBAs,
	kBCMenuTag_CreateNewDB = 8000,
	kBCMenuTag_AppnedLocalDB,
	kBCMenuTag_AppendRemoteDB,
	kBCMenuTag_CreateManualLib,
	kBCMenuTag_CreateSmartLib,
	kBCMenuTag_EditDbProperty = 8010,
	kBCMenuTag_RemoveDatabase,
	kBCMenuTag_StopLoading,
	kBCMenuTag_EditDbMacro,
	kBCMenuTag_EditDbPreamble,
	kBCMenuTag_DupSearch = 8015,
	kBCMenuTag_UpdateLibrary = 8017,
	kBCMenuTag_UpdateAllLibrary,
	kBCMenuTag_CopyAsCite = 8020,
	kBCMenuTag_CopyAsNocite,
	kBCMenuTag_CopyAsBibkey,
	kBCMenuTag_CopyAsBibitem = 8030,
	kBCMenuTag_CopyAsHTML,
	kBCMenuTag_CopyAsRTF,
	kBCMenuTag_CopyAsTabText,
	kBCMenuTag_CopyAsPlainText,
	kBCMenuTag_CreateBibSubset,
	kBCMenuTag_CheckSelection = 8040,
	kBCMenuTag_UncheckSelection,
	kBCMenuTag_CheckAll,
	kBCMenuTag_UncheckAll,
	kBCMenuTag_SelectChecked,
	kBCMenuTag_SelectUnchecked,
	kBCMenuTag_CopyAttachments = 8050,
	kBCMenuTag_OpenAttachments,
	kBCMenuTag_OpenUrls,
	kBCMenuTag_SendEmails,
	kBCMenuTag_UnlockItemEdit = 8090,
	kBCMenuTag_AppendBibItem = 8100,
	kBCMenuTag_RemoveBibItems,
	kBCMenuTag_GenerateABibKey,
	kBCMenuTag_GenerateBibKeys,
	kBCMenuTag_OpenDetailInfoPanel = 8200,
	kBCMenuTag_OpenFileViewPanel,
	kBCMenuTag_OpenInputSupportPanel,
	kBCMenuTag_Help_Quick = 8900,
	kBCMenuTag_Help_Database,
	kBCMenuTag_Help_Editing,
	kBCMenuTag_Help_Attachments,
	kBCMenuTag_Help_Searching,
	kBCMenuTag_Help_Libraries,
	kBCMenuTag_Help_CopyLists,
	kBCMenuTag_Help_Properties,
	kBCMenuTag_Help_Preferences,
	kBCMenuTag_Help_Tips,
	kBCMenuTag_OpenAttachedFile = 9000,
	kBCMenuTag_OpenURL,
	kBCMenuTag_SendEmail,
	kBCMenuTag_JumpToPage = 9010,
	kBCMenuTag_PageUp,
	kBCMenuTag_PageDown,
	kBCMenuTag_SearchTarget = 9100,
	kBCMenuTag_SearchCheckAll,
	kBCMenuTag_SearchUncheckAll,
	kBCMenuTag_SearchInSpecifiedField,
	kBCMenuTag_EditEncodingList = 9150,
	kBCMenuTag_ChooseDisplayedFile = 9800,
	kBCMenuTag_MaxChooseDisplayedFile = 9899,
	kBCMenuTag_ImportPlugin = 9900,
	kBCMenuTag_MaxImportPlugin = 9949,
	kBCMenuTag_ExportPlugin = 9950,
	kBCMenuTag_MaxExportPlugin = 9999,
};
