/* ButtonSettingController */

#import <Cocoa/Cocoa.h>

@class	DetailInfoController, BibPreferences;
@protocol NSTableDataSource;

@interface ButtonSettingController : NSObject <NSTableDataSource>
{
    IBOutlet DetailInfoController *detailInfoController;
    IBOutlet NSWindow *mainWindow;
    IBOutlet NSPanel *settingPanel;
    IBOutlet NSTableView *tableButtonList;
	
	NSMutableArray	*currentSettings;
	BOOL			dirty;
}
- (IBAction)cancel:(id)sender;
- (IBAction)ok:(id)sender;
- (IBAction)openButtonSetting:(id)sender;
- (IBAction)revert:(id)sender;
- (IBAction)showHelp:(id)sender;

- (void)createCurrentSettingsWith:(BibPreferences*)prefs;

@end
