/* EncodeEditorController */

#import <Cocoa/Cocoa.h>

@protocol NSTableDataSource;

@interface EncodeEditorController : NSObject <NSTableDataSource>
{
    IBOutlet NSTextField *stringSearch;
    IBOutlet NSTableView *tableEncodings;
    IBOutlet NSButton *buttonOK;
    IBOutlet NSButton *buttonCheckAll;
    IBOutlet NSButton *buttonUncheckAll;
    IBOutlet NSButton *buttonCheckContains;

    IBOutlet NSPanel *editPanel;
	
	NSArray			*encodingNames;
	NSMutableArray	*checkMarks;
}
- (IBAction)cancel:(id)sender;
- (IBAction)checkAll:(id)sender;
- (IBAction)checkContains:(id)sender;
- (IBAction)ok:(id)sender;
- (IBAction)uncheckAll:(id)sender;

+ (BOOL)editEncodeingMenu;
- (BOOL)editEncodeingMenu;

- (int)countNumChecked;

@end
