/* FileImageView */

#import <Cocoa/Cocoa.h>
#import	"FilePathField.h"

@class	FileViewController;

@interface FileImageView : NSImageView
{
	IBOutlet FileViewController	*fileViewController;
	IBOutlet FilePathField *filePathField;
	
	BibItem		  *currentItem;
	BOOL		  inEditMode, becameDropTarget;
}

- (void)setItem:(BibItem*)item;
- (void)setEditMode:(BOOL)edit;
- (void)chooseAttachedFile:(id)sender;

@end
