/* LoadingErrorAlert */

#import <Cocoa/Cocoa.h>

@class	BibDatabase;

@interface LoadingErrorAlert : NSObject
{
    IBOutlet NSTextView *messageText;
    IBOutlet NSTextField *titleString;
    IBOutlet NSPanel *errorPanel;
    IBOutlet NSWindow *mainWindow;
	
	BOOL	sheetDidEnd;
	int		sheetEndResult;
}

- (IBAction)ok:(id)sender;
- (IBAction)cancel:(id)sender;

+ (void)openAlertWithDatabase:(BibDatabase*)database andErrors:(NSArray*)errors;
- (void)runAlertWithDatabase:(BibDatabase*)database andErrors:(NSArray*)errors;

@end
