/* MacroSettingController */

@class	MacroList;

#import <Cocoa/Cocoa.h>

@class	MacroListTableView;

@interface MacroSettingController : NSObject
{
    IBOutlet NSButton *okButton;
    IBOutlet NSButton *sortButton;
    IBOutlet NSButton *importButton;
    IBOutlet NSTextField *stringTitle;
    IBOutlet MacroListTableView *tableMacros;

    IBOutlet NSPanel *settingPanel;
    IBOutlet NSPanel *importPanel;
    IBOutlet NSWindow *windowForSheet;
	
    IBOutlet NSPopUpButton *databasePopup;
    IBOutlet NSPopUpButton *actionPopup;

	id					base;
}

+ (void)openSettingWith:(id)macroBase baseName:(NSString*)baseName;
- (void)editMacrosWith:(id)macroBase baseName:(NSString*)baseName;

- (IBAction)cancel:(id)sender;
- (IBAction)ok:(id)sender;

- (IBAction)import:(id)sender;
- (IBAction)importCancel:(id)sender;
- (IBAction)importOk:(id)sender;

- (IBAction)showMacroHelp:(id)sender;

@end
