/*
 *  ExportPlugin.h
 *  BibCompanion
 *
 *  Created by Hitoshi Nakahara on 05/05/09.
 *  Copyright 2005 Hit-C Soft House. All rights reserved.
 *
 */

@protocol ExportPluginProtocol

+ (BOOL)initializeClass:(NSBundle*)theBundle;
+ (void)terminateClass;
+ (id)createPlugin;
- (NSString*)pluginName;
- (NSString*)pluginVersion;
- (NSString*)pluginCopyright;

- (void)export;

@end
