/* InputSupportCell */

#import <Cocoa/Cocoa.h>

#ifndef InputSupport_MathMode
typedef enum InputSupport_MathMode {
	InputSupport_NeedsNormalMode = 0,
	InputSupport_NeedsMathMode,
	InputSupport_BothMode
} InputSupport_MathMode;

#endif

@interface InputSupportCell : NSButtonCell
{
	NSString					*texString;
	NSString					*defaultParam;
	BOOL						hasParams;
	InputSupport_MathMode		needsMathMode;
}

- (void)setTeXString:(NSString*)texStr defParam:(NSString*)defParam mathMode:(InputSupport_MathMode)math;
- (NSString*)getTeXString:(NSString*)param mathMode:(BOOL)math;

@end
